aboutsummaryrefslogtreecommitdiffstats
path: root/tools/examples
diff options
context:
space:
mode:
authorKeir Fraser <keir.fraser@citrix.com>2008-01-17 15:14:17 +0000
committerKeir Fraser <keir.fraser@citrix.com>2008-01-17 15:14:17 +0000
commitdb13a968f5438711901cd404fae02c6e15dabc3c (patch)
tree9f6b1116ef282184eefc9e42fbbc2ba5cd64a6a2 /tools/examples
parentaac518b954d087cd64e7466cda087720280d592b (diff)
downloadxen-db13a968f5438711901cd404fae02c6e15dabc3c.tar.gz
xen-db13a968f5438711901cd404fae02c6e15dabc3c.tar.bz2
xen-db13a968f5438711901cd404fae02c6e15dabc3c.zip
network scripts: SUSE has sensible use of ifup nowadays
While wading through the patches made to Xen by OpenSUSE in their [s]rpm, I found that they have removed various special casing for ifup on ther distribution. Signed-off-by: Ian Jackson <ian.jackson@eu.citrix.com>
Diffstat (limited to 'tools/examples')
-rw-r--r--tools/examples/xen-network-common.sh17
1 files changed, 1 insertions, 16 deletions
diff --git a/tools/examples/xen-network-common.sh b/tools/examples/xen-network-common.sh
index 57b289ccea..95d2ef8f62 100644
--- a/tools/examples/xen-network-common.sh
+++ b/tools/examples/xen-network-common.sh
@@ -16,11 +16,6 @@
#
-# On SuSE it is necessary to run a command before transfering addresses and
-# routes from the physical interface to the virtual. This command creates a
-# variable $HWD_CONFIG_0 that specifies the appropriate configuration for
-# ifup.
-
# Gentoo doesn't have ifup/ifdown, so we define appropriate alternatives.
# Other platforms just use ifup / ifdown directly.
@@ -32,17 +27,7 @@
# that the virtual device will take once the physical device has
# been renamed.
-if [ -e /etc/SuSE-release ]
-then
- preiftransfer()
- {
- eval `/sbin/getcfg -d /etc/sysconfig/network/ -f ifcfg- -- $1`
- }
- ifup()
- {
- /sbin/ifup ${HWD_CONFIG_0} $1
- }
-elif ! which ifup >/dev/null 2>/dev/null
+if ! which ifup >/dev/null 2>/dev/null
then
preiftransfer()
{